Index: extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- extensions/event_cats/admin/evntcats_admin.php	(revision 4442)
+++ extensions/event_cats/admin/evntcats_admin.php	(revision 4443)
@@ -78,12 +78,8 @@
 
 // If needed, stores in the DB whether help banner must be displayed or not
-if (isset($_POST['ec_help_banner_onoff2']))
- $_POST['ec_help_banner_onoff'] = $_POST['ec_help_banner_onoff2'];
-if (isset($_POST['ec_help_banner2_onoff']))
- $_POST['ec_help_banner_onoff'] = $_POST['ec_help_banner2_onoff'];
 if (
-  isset($_POST['ec_help_banner_onoff']) and
-  $_POST['ec_help_banner_onoff'] != read_ec_conf('in_help_display')
-) change_ec_conf('in_help_display', $_POST['ec_help_banner_onoff']);
+  isset($_POST['ec_help_banner_onoff2']) and
+  $_POST['ec_help_banner_onoff2'] != read_ec_conf('in_help_display')
+) change_ec_conf('in_help_display', $_POST['ec_help_banner_onoff2']);
 
 build_ec_lists(); // in evntcats_main_funcs.php
Index: extensions/event_cats/admin/template/autolog_entries.tpl
===================================================================
--- extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4442)
+++ extensions/event_cats/admin/template/autolog_entries.tpl	(revision 4443)
@@ -11,10 +11,10 @@
     <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
     &nbsp;&#151;&nbsp;
Index: extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- extensions/event_cats/admin/template/autolog_new.tpl	(revision 4442)
+++ extensions/event_cats/admin/template/autolog_new.tpl	(revision 4443)
@@ -11,10 +11,10 @@
     <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
     &nbsp;&#151;&nbsp;
Index: extensions/event_cats/admin/template/config.tpl
===================================================================
--- extensions/event_cats/admin/template/config.tpl	(revision 4442)
+++ extensions/event_cats/admin/template/config.tpl	(revision 4443)
@@ -11,10 +11,10 @@
     <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
     &nbsp;&#151;&nbsp;
Index: extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- extensions/event_cats/admin/template/duplication.tpl	(revision 4442)
+++ extensions/event_cats/admin/template/duplication.tpl	(revision 4443)
@@ -10,10 +10,10 @@
   <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
     <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
-    {'Banner on'|@translate}
+    {'Show'|@translate}
   </label>
   &nbsp;
   <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
     <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
-    {'Banner off'|@translate}
+    {'Hide'|@translate}
   </label>
 </div><span id = "ec_help_ban" style = "display:none;"></span>
Index: extensions/event_cats/admin/template/header.inc.tpl
===================================================================
--- extensions/event_cats/admin/template/header.inc.tpl	(revision 4442)
+++ extensions/event_cats/admin/template/header.inc.tpl	(revision 4443)
@@ -33,10 +33,10 @@
     <label for = "ec_help_banner_1" onclick = "ec_mark_help('ec_help_banner_1');">
       <input type = "radio" name = "ec_help_banner_onoff" value = "1" id = "ec_help_banner_1"/>
-      {'Banner on'|@translate}
+      {'Show'|@translate}
     </label>
     &nbsp;
     <label for = "ec_help_banner_0" onclick = "ec_mark_help('ec_help_banner_0');">
       <input type = "radio" name = "ec_help_banner_onoff" value = "0" id = "ec_help_banner_0"/>
-      {'Banner off'|@translate}
+      {'Hide'|@translate}
     </label>
   </div>
